DLV-CORE(1)

NAME

dlv-core - Examine a core dump.

SYNOPSIS

dlv core [flags]

DESCRIPTION

Examine a core dump (only supports linux and windows core dumps).

The core command will open the specified core file and the associated executable and let you examine the state of the process when the core dump was taken.

Currently supports linux/amd64 and linux/arm64 core files, windows/amd64 minidumps and core files generated by Delve's 'dump' command.

OPTIONS

-h, --help[=false]
    help for core

OPTIONS INHERITED FROM PARENT COMMANDS

--accept-multiclient[=false]
    Allows a headless server to accept multiple client connections via JSON-RPC or DAP.

--allow-non-terminal-interactive[=false]
    Allows interactive sessions of Delve that don't have a terminal as stdin, stdout and stderr

--api-version=2
    Selects JSON-RPC API version when headless. The only valid value is 2. Can be reset via RPCServer.SetApiVersion. See Documentation/api/json-rpc/README.md.

--backend="default"
    Backend selection (see 'dlv help backend').

--build-flags=""
    Build flags, to be passed to the compiler. For example: --build-flags="-tags=integration -mod=vendor -cover -v"

--check-go-version[=true]
    Exits if the version of Go in use is not compatible (too old or too new) with the version of Delve.

--disable-aslr[=false]
    Disables address space randomization

--headless[=false]
    Run debug server only, in headless mode. Server will accept both JSON-RPC or DAP client connections.

--init=""
    Init file, executed by the terminal client.

-l, --listen="127.0.0.1:0"
    Debugging server listen address. Prefix with 'unix:' to use a unix domain socket.

--log[=false]
    Enable debugging server logging.

--log-dest=""
    Writes logs to the specified file or file descriptor (see 'dlv help log').

--log-output=""
    Comma separated list of components that should produce debug output (see 'dlv help log')

--only-same-user[=true]
    Only connections from the same user that started this instance of Delve are allowed to connect.

-r, --redirect=[]
    Specifies redirect rules for target process (see 'dlv help redirect')

--wd=""
    Working directory for running the program.

SEE ALSO

dlv(1)